classification
Title: Rework syntax highlighing in howto/clinic.rst
Type: Stage: resolved
Components: Argument Clinic, Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, larry, martin.panter, mdk, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-11-20 22:01 by mdk, last changed 2016-12-10 05:10 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
issue28755.diff mdk, 2016-11-20 22:02 review
issue28755-2.diff mdk, 2016-11-20 22:40 review
issue28755-3.diff mdk, 2016-12-07 21:02 review
Messages (6)
msg281304 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2016-11-20 22:01
I was reading `howto/clinic.html` and though I'll fix syntax highlighting.
msg282106 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2016-11-30 21:55
Bump, 10 days later, hope this diff is still straightforward to merge.
msg282123 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-12-01 01:18
It will apply to the 3.5 and 3.6 branches if I first backport revision 0a18d2cfeb52 (Issue 28753), which I think is valid. But I would wait until there is a branch for 3.6.1, and then commit to all three branches. (Ned asked for only release-critical changes to go into 3.6 at the moment.)

On the other hand, Larry only applied the other patch to 3.7, so we could just do that again if people prefer.
msg282163 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-12-01 12:11
> (Ned asked for only release-critical changes to go into 3.6 at the moment.)

Except the documentation changes.
msg282668 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2016-12-07 21:02
Just rebasing my patch on tip as it does no longer cleanly apply.
msg282824 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-10 04:23
New changeset 3795ba7490b1 by Martin Panter in branch '3.5':
Issue #28755: Improve syntax highlighting in Arg Clinic howto
https://hg.python.org/cpython/rev/3795ba7490b1

New changeset d0859a11322c by Martin Panter in branch '3.6':
Issues #28755, #28753: Merge Arg Clinic howto from 3.5
https://hg.python.org/cpython/rev/d0859a11322c

New changeset 889cb7ebc38d by Martin Panter in branch 'default':
Issue #28755: Merge Arg Clinic howto from 3.6
https://hg.python.org/cpython/rev/889cb7ebc38d
History
Date User Action Args
2016-12-10 05:10:53martin.pantersetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-12-10 04:23:13python-devsetnosy: + python-dev
messages: + msg282824
2016-12-07 21:02:54mdksetfiles: + issue28755-3.diff

messages: + msg282668
2016-12-01 12:11:19serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg282163
2016-12-01 01:18:20martin.pantersetversions: + Python 3.5, - Python 2.7
nosy: + martin.panter

messages: + msg282123

stage: commit review
2016-11-30 21:55:01mdksetmessages: + msg282106
2016-11-20 22:40:25mdksetfiles: + issue28755-2.diff
2016-11-20 22:02:16mdksetfiles: + issue28755.diff
keywords: + patch
2016-11-20 22:01:57mdkcreate